package com.xindazhou.user.convert.config;

import com.xindazhou.user.api.config.dto.MemberConfigRespDTO;
import com.xindazhou.user.controller.admin.config.vo.MemberConfigRespVO;
import com.xindazhou.user.controller.admin.config.vo.MemberConfigSaveReqVO;
import com.xindazhou.user.dal.dataobject.config.MemberConfigDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 会员配置 Convert
 *
 * @author QingX
 */
@Mapper
public interface MemberConfigConvert {

    MemberConfigConvert INSTANCE = Mappers.getMapper(MemberConfigConvert.class);

    MemberConfigRespVO convert(MemberConfigDO bean);

    MemberConfigDO convert(MemberConfigSaveReqVO bean);

    MemberConfigRespDTO convert01(MemberConfigDO config);
}
